Name:		pcmanfm
Version:	0.3.2.2
Release:	%mkrel 1

Summary:	PCMan File Manager
License: 	GPL
URL: 		http://pcmanfm.sourceforge.net/
Group: 		File tools
Source0:	%{name}-%{version}.tar.bz2

BuildRequires:	libgamin-devel
BuildRequires:	gtk+2-devel >= 2.8
BuildRequires:	libcairo-devel %{_lib}startup-notification-1_0-devel
BuildRequires:	pkgconfig desktop-file-utils
BuildRequires:	hal-devel dbus-glib-devel
Requires:	gamin
Requires:	shared-mime-info
Requires:	gnome-icon-theme
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PCMan File Manager is an extremly fast and lightweight file manager which
features tabbed browsing and user-friendly interface.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
needs="x11" section="System/File Tools" title="PCMan" \
longtitle="Simple File Manager" icon="file_tools_section.png" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="System;FileManager" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun 
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog NEWS TODO README
%{_bindir}/*
%{_menudir}/%name
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Jan 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.2.2-1mdv2007.0
+ Revision: 104027
- Add BuildRequires
- New release 0.3.2.2
- Import pcmanfm



* Wed Sep 13 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.0.2-2mdv2007.0
- add buildrequires libstartup-notification-1_0-devel

* Tue Sep 12 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.0.2-1mdk
- New release 0.3.0.2
- xdg menu

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Thu Apr 20 2006 Austin Acton <austin@mandriva.org> 0.2.2-1mdk
- upload havily modified spec from Shiva Huang <shivahuang@gmail.com>
